> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List activities



## OpenAPI

````yaml get /v1/activities
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/activities:
    get:
      summary: List activities
      parameters:
        - schema:
            type: integer
            exclusiveMinimum: 0
          required: false
          name: token_id
          in: query
        - schema:
            type: string
          required: false
          name: collection_slug
          in: query
        - schema:
            type: string
          required: false
          name: min_date
          in: query
        - schema:
            type: string
          required: false
          name: max_date
          in: query
        - schema:
            type: number
            minimum: 1
            maximum: 1000
          required: false
          name: limit
          in: query
        - schema:
            type: number
          required: false
          name: offset
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
          required: false
          name: order
          in: query
        - schema:
            type: string
          required: false
          name: order_by
          in: query
        - schema:
            type: boolean
          required: false
          name: include_count
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityListResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ActivityListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ActivityResponse'
        pagination:
          type: object
          properties: {}
          additionalProperties: {}
      required:
        - data
        - pagination
    ActivityResponse:
      type: object
      properties:
        id:
          type: number
        type:
          type: string
        title:
          type:
            - string
            - 'null'
        content:
          type:
            - string
            - 'null'
        location:
          type:
            - string
            - 'null'
        token_id:
          type:
            - number
            - 'null'
        user_id:
          type:
            - string
            - 'null'
        image:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        video:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
            poster_url:
              type:
                - string
                - 'null'
        gallery:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              url:
                type:
                  - string
                  - 'null'
              file_type:
                type:
                  - string
                  - 'null'
              poster_url:
                type:
                  - string
                  - 'null'
              order:
                type:
                  - number
                  - 'null'
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
      required:
        - id
        - type
        - created_at
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````